Bug 152640 - thunderbird can't install enigmail correctly on x86-64
thunderbird can't install enigmail correctly on x86-64
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-03-30 17:17 EST by Ian Romanick
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-12 05:04:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Romanick 2005-03-30 17:17:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Trying to install enigmail-0.90.2-tb-linux-x64.xpi on FC3 x86-64 results in a broken install.  The install will appear to have worked correct (e.g., the Enigmail menu shows up when thunderbird is restarted), but e-mail will not be encryped / decrypted.  Selecting "About Enigmail" from the Enigmail menu will say that the enigmime service could not be started.

I was able to "work around" this by installing the i386 thunderbird RPM and using enigmail-0.91.0-tb-linux.xpi.  This works perfectly on both FC3 i386 and FC3 x86-64.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install the x86_64 RPM of thunderbird.
2. Download enigmail-0.90.2-tb-linux-x64.xpi from http://enigmail.mozdev.org/
3. Try to install the XPI from Tools->Extensions in thunderbird
4. Restart thunderbird.
5. Select the Enimmail->Perferences menu and fill in the "GnuPG executable path" field.
6. Select the Enigmail->About Enigmail menu.

Actual Results:  If the bug is reproduced, a window will be opened with an error message about the enigmime service not being available.

Expected Results:  If the bug is not reproduces, a window will be opened with a message like "Using gpg executable /usr/bin/gpg to encrypt and decrypt".

Additional info:
Comment 1 Warren Togami 2005-05-12 05:04:23 EDT
If you read Enigmail's pages, upstream enigmail binaries do not work with custom
thunderbird builds, like those supplied from distributions.  You need a custom
build of enigmail in order to use it with the RPM packaged thunderbird.  Yes
this sucks, and it is difficult to do too. =(

Someone should make an add-on package for Extras, but attempts to do so in the
past have failed.  It just doesn't work for some reason.

Ideally one of the two competing implementations of GPG for thunderbird should
be merged upstream and ship as a standard feature.  This would be the best long
term solution.

Note You need to log in before you can comment on or make changes to this bug.